Package org.springframework.security.web.server.authentication

# Class MaximumSessionsContext

java.lang.Object
org.springframework.security.web.server.authentication.MaximumSessionsContext

public final class MaximumSessionsContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`MaximumSessionsContext(org.springframework.security.core.Authentication authentication, List<org.springframework.security.core.session.ReactiveSessionInformation> sessions, int maximumSessionsAllowed, org.springframework.web.server.WebSession currentSession)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`getAuthentication()`
`org.springframework.web.server.WebSession`
`getCurrentSession()`
`int`
`getMaximumSessionsAllowed()`
`List<org.springframework.security.core.session.ReactiveSessionInformation>`
`getSessions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaximumSessionsContext

public MaximumSessionsContext(org.springframework.security.core.Authentication authentication, List<org.springframework.security.core.session.ReactiveSessionInformation> sessions, int maximumSessionsAllowed, org.springframework.web.server.WebSession currentSession)

## Method Details

### getAuthentication

public org.springframework.security.core.Authentication getAuthentication()

### getSessions

public List<org.springframework.security.core.session.ReactiveSessionInformation> getSessions()

### getMaximumSessionsAllowed

public int getMaximumSessionsAllowed()

### getCurrentSession

public org.springframework.web.server.WebSession getCurrentSession()